package com.bocloud.cmp.model.hmc;

/**
 * HMC分区逻辑以太网配置
 *
 * @author ShaolongTan
 */
@Deprecated
public class HmcProfileLheaModel {
    private Long id;
    private Long profileId;
    private Long adapterId;
    private Integer logicalPortId;
    private Integer physicalPortId;
    private Integer portGroupId;
    private String allowVlanIds;
    private String allowMacAddresses;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProfileId() {
        return profileId;
    }

    public void setProfileId(Long profileId) {
        this.profileId = profileId;
    }

    public Integer getLogicalPortId() {
        return logicalPortId;
    }

    public void setLogicalPortId(Integer logicalPortId) {
        this.logicalPortId = logicalPortId;
    }

    public String getAllowVlanIds() {
        return allowVlanIds;
    }

    public void setAllowVlanIds(String allowVlanIds) {
        this.allowVlanIds = allowVlanIds;
    }

    public Long getAdapterId() {
        return adapterId;
    }

    public void setAdapterId(Long adapterId) {
        this.adapterId = adapterId;
    }

    public Integer getPhysicalPortId() {
        return physicalPortId;
    }

    public void setPhysicalPortId(Integer physicalPortId) {
        this.physicalPortId = physicalPortId;
    }

    public Integer getPortGroupId() {
        return portGroupId;
    }

    public void setPortGroupId(Integer portGroupId) {
        this.portGroupId = portGroupId;
    }

    public String getAllowMacAddresses() {
        return allowMacAddresses;
    }

    public void setAllowMacAddresses(String allowMacAddresses) {
        this.allowMacAddresses = allowMacAddresses;
    }
}
